// Jedes geladene Fenster soll dieses Event aufrufen
window.addEventListener("load",LoadPage, true); 

// wird in "buyertoolsOverlayNavigate.js" (Methode: Navigate_eBay_Produktsuche) gesetzt:
var TextToHighlite = ""; 

function LoadPage(event)
{
  Highlite();
};

function HighliteRange(range, node) {
  var startContainer = range.startContainer;
  var startOffset = range.startOffset;
  var endOffset = range.endOffset;
  var docfrag = range.extractContents();
  var before = startContainer.splitText(startOffset);
  var parent = before.parentNode;
  node.appendChild(docfrag);
  parent.insertBefore(node, before);
  return node;
}

function HighliteWithElement(baseNode) {
  var body = window._content.document.body;
  if (!body) return;
  
  var count = body.childNodes.length;
  var flag = 0;

  Finder = Components.classes["@mozilla.org/embedcomp/rangefind;1"].createInstance().QueryInterface(Components.interfaces.nsIFind);
  
  searchRange = window._content.document.createRange();
  startPt = window._content.document.createRange();
  endPt = window._content.document.createRange();

  searchRange.setStart(body, 0);
  searchRange.setEnd(body, count);
	
  startPt.setStart(body, 0);
  startPt.setEnd(body, 0);
  endPt.setStart(body, count);
  endPt.setEnd(body, count);
  
  while (retRange = Finder.Find(TextToHighlite, searchRange, startPt, endPt)) {
    var nodeSurround = baseNode.cloneNode(true);
    var node = HighliteRange(retRange, nodeSurround);
		
    startPt = node.ownerDocument.createRange();
    startPt.setStart(node, node.childNodes.length);
    startPt.setEnd(node, node.childNodes.length);
	flag=flag+1;
  }
};

function Highlite() {
  // nix da -> nix tun
  if (TextToHighlite=="") return false;
  
  // erster Durchlauf: CSS einfgen (hellgelber Hintergrund)
  var baseNode = window._content.document.createElement("span");
  baseNode.setAttribute("style", "background-color:#FFFF00");
  HighliteWithElement(baseNode);
  
  // zweiter Durchlauf: fett darstellen
  baseNode = window._content.document.createElement("b");
  HighliteWithElement(baseNode);
  
  // nicht vergessen die Variable wieder zu leeren
  TextToHighlite = "";
};